<?php

include('config.inc.php');

$err = "";


// read a file into an array of strings, one string per line
// returns the array, or FALSE on error
function loadFile($filename)
{
	global $err;
	
	$lines = array();

	if (file_exists($filename)) 
	{	
	
		if (!$handle = fopen($filename, 'r')) 
		{
			$err = "Cannot open file $filename";
			return FALSE;
		}
		

		while (!feof($handle))
		{
			$line = fgets($handle, 4096);
			
			if ($line != "")
			{
				array_push($lines, $line);
			}
		}
		return $lines;
	}
	
	$err = "The file $filename does not exist";
	return FALSE;
}


// print all song recommendations
function printSongs($_lines)
{
	global $dateformat;
	
	$lines = array_reverse($_lines);

	echo 
		"<table border=\"1\">\n" .
		"<tr>\n" .
		"	<th><b>Date</b></th>\n" .
		"	<th><b>Artist</b></th>\n" .
		"	<th><b>Album</b></th>\n" .
		"	<th><b>Title</b></th>\n" .
		"	<th><b>Comment</b></th>\n" .
		"</tr>\n";
		
	foreach ($lines as $line)
	{
		if ($line != "")
		{
			$strings = explode("\t", $line);
			
			echo 
				"<tr>\n" .
				"	<td>" . date($dateformat, $strings[1]) . "</td>\n" .
				"	<td>$strings[4]</td>\n" .
				"	<td>$strings[5]</td>\n" .
				"	<td>$strings[6]</td>\n" .
				"	<td>$strings[3]</td>\n" .
				"</tr>\n";
		}
	}
	echo "</table>\n";
}

// print all album recommendations
function printAlbums($_lines)
{
	global $dateformat;

	$lines = array_reverse($_lines);

	echo 
		"<table border=\"1\">\n" .
		"<tr>\n" .
		"	<th><b>Date</b></th>\n" .
		"	<th><b>Artist</b></th>\n" .
		"	<th><b>Album</b></th>\n" .
		"	<th><b>Comment</b></th>\n" .
		"</tr>\n";

	foreach ($lines as $line)
	{
		if ($line != "")
		{
			$strings = explode("\t", $line);
			
			echo 
				"<tr>\n" .
				"	<td>" . date($dateformat, $strings[1]) . "</td>\n" .
				"	<td>$strings[4]</td>\n" .
				"	<td>$strings[5]</td>\n" .
				"	<td>$strings[3]</td>\n" .
				"</tr>\n";
		}
	}
	echo "</table>\n";
}



// print all net radio recommendations
function printNetRadios($_lines)
{
	global $dateformat;

	$lines = array_reverse($_lines);

	echo 
		"<table border=\"1\">\n" .
		"<tr>\n" .
		"	<th><b>Date</b></th>\n" .
		"	<th><b>Name of Station</b></th>\n" .
		"	<th><b>Link to Stream</b></th>\n" .
		"	<th><b>Comment</b></th>\n" .
		"</tr>\n";
		
	foreach ($lines as $line)
	{
		if ($line != "")
		{
			$strings = explode("\t", $line);
			
			echo 
				"<tr>\n" .
				"	<td>" . date($dateformat, $strings[1]) . "</td>\n";
			if ($strings[6] != "")
				echo "	<td><a href=\"$strings[6]\">$strings[4]</a></td>\n";
			else
				echo "	<td>$strings[4]</td>\n";
			echo
				"	<td><a href=\"$strings[5]\">$strings[5]</a></td>\n" .
				"	<td>$strings[3]</td>\n" .
				"</tr>\n";
		}
	}
	echo "</table>\n";
}
?>
